function onBegin()
	
	disableMovement()
	makeUnskippable()
	disableRetry()
	say("KtA_CTSD_FIN_09")
	setFlag("ctsd_fin03",true)
	
end

function onEnd(room, wasSkipped)
	if (wasSkipped) then completeArea(false, false) end

end